import { localStorageStore } from '@skeletonlabs/skeleton';
import { writable } from 'svelte/store';

export const lastSearch = localStorageStore('lastSearch', '');
export const imageGridColumns = localStorageStore('gridColumns', 8);
export const imageSearchResults = writable(null);
export const imageGridPreviewQuality = localStorageStore('gridPreviewQuality', 'preview');

export const loading = writable(false);